: Class MimeTypeArrayAttribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.frames
Class MimeTypeArrayAttribute

    java.lang.Object
      |
      +--org.w3c.tools.resources.Attribute
            |
            +--org.w3c.tools.resources.ArrayAttribute
                  |
                  +--org.w3c.tools.resources.StringArrayAttribute
                        |
                        +--org.w3c.jigsaw.frames.MimeTypeArrayAttribute

public class MimeTypeArrayAttribute
extends StringArrayAttribute

See Also:
  Serialized Form

Fields inherited from class org.w3c.tools.resources.Attribute
`COMPUTED, DONTSAVE, EDITABLE, flags, MANDATORY, name, type`

Constructor Summary
`MimeTypeArrayAttribute()`
`MimeTypeArrayAttribute(java.lang.String name, MimeType[] def, int flags)`

Method Summary
`boolean` | `checkValue(java.lang.Object obj)` Is the given object a valid MimeTypeArrayAttribute value ?
`java.lang.String[]` | `pickle(java.lang.Object array)` Pickle an attribute array into a String array.
`static java.lang.String[]` | `toStringArray(java.lang.Object array)`
`java.lang.Object` | `unpickle(java.lang.String[] array)` Unpickle an attribute array from a string array.

Methods inherited from class org.w3c.tools.resources.ArrayAttribute
`stringify`

Methods inherited from class org.w3c.tools.resources.Attribute
`checkFlag, getDefault, getFlag, getName, getType, setFlag, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeTypeArrayAttribute

    public MimeTypeArrayAttribute(java.lang.String name,
                                  MimeType[] def,
                                  int flags)

### MimeTypeArrayAttribute

    public MimeTypeArrayAttribute()

Method Detail

### toStringArray

    public static java.lang.String[] toStringArray(java.lang.Object array)

### checkValue

    public boolean checkValue(java.lang.Object obj)

  Is the given object a valid MimeTypeArrayAttribute value ?
  Overrides:
    checkValue in class StringArrayAttribute
  Parameters:
    `obj` - The object to test.
  Returns:
    A boolean true if okay.

### pickle

    public java.lang.String[] pickle(java.lang.Object array)

  Description copied from class: ArrayAttribute
  Pickle an attribute array into a String array.
  Overrides:
    pickle in class StringArrayAttribute
  Tags copied from class: ArrayAttribute
  Parameters:
    `array` - the attribute array
  Returns:
    a String array

### unpickle

    public java.lang.Object unpickle(java.lang.String[] array)

  Description copied from class: ArrayAttribute
  Unpickle an attribute array from a string array.
  Overrides:
    unpickle in class StringArrayAttribute
  Tags copied from class: ArrayAttribute
  Parameters:
    `array` - the String array
  Returns:
    a Object array

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD